/*
 * ----------------------------------------------
 * I2C Bus Deserialized device interface
 * ----------------------------------------------
 */
#ifndef I2C_H
#define I2C_H
#include <stdint.h>

#define I2C_ACK		(0)
#define I2C_NACK 	(1)

#define I2C_READ	(5)
#define I2C_WRITE	(6)
#define I2C_SPEED_STD	(0)
#define I2C_SPEED_FAST	(1)
#define I2C_SPEED_HIGH	(2)

typedef struct I2C_SlaveOps {
	int (*start)(void *dev,int i2c_addr,int operation);
	void (*stop)(void *dev);
	void (*repstart)(void *dev);
	int  (*write)(void *dev,uint8_t data);
	void  (*read)(void *dev,uint8_t *data,int ack);
//	void  (*readack)(void *dev,int ack);
} I2C_SlaveOps;

typedef struct I2C_Slave {
	int speed;
	int tolerated_speed; /* Speed when other device on same bus is accessed */
//	void *owner;
	I2C_SlaveOps *devops;
	void *dev;
	struct I2C_Slave *next;
	uint8_t address;
	uint8_t addr_mask;
} I2C_Slave;
#endif
